=== debian/changelog ===
gmsh (2.5.1~beta2~svn10875~dfsg-2) unstable; urgency=low

  [ Christophe Trophime ]
  * [52d38ce] Apply use_mmg3d.patch. Use packaged version of mmg3d 
      instead of shipped with tarball.
  * [ae08657] Apply use_gmm.patch.  Use packaged version of gmm 
      instead of shipped with tarball. See details in use_gmm.patch
  * [cfd8f72] Apply use_libann.patch. Use packaged version of libann 
      instead of shipped with tarball.

  [ Anton Gladky ]
  * [f604741] Refersh patches.
  * [0b0eec7] Add Christophe Trophime to uploaders.
  * [d4e9eef] Temporarly Remove PETSC from BD. Return it back after all 
      corresponding transition will occur (mumps, hdf5, hypre).
  
  [ Sylvestre Ledru ]
  * [a1a0dcd] Update the dependency on cgns (version 3.1.3.2 minimal)
  * [d448ce9] Transition to hdf5 1.8.8

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 18 Jan 2012 20:23:41 +0100

gmsh (2.5.1~beta2~svn10875~dfsg-1) unstable; urgency=low

  [ Christophe Trophime ]
  * [ba58a67] Enable tetgen on systems, where it is available. 
              Needs package-rebuilding.
  * [c662ef0] Re-enable python-bindings.
  * [1283634] Use packaged version of gmm instead of shipped with tarball. 
              Patch is disabled.

  [ Anton Gladky ]
  * [5113738] Install doc-files from utils/ directory.
  * [29c8205] Make menu-icon of 2 sizes: 16x16 and 32x32.
  * [27243b3] Use --parallel building
  * [0176242] Override lintian warning. License file is not a license.
  * [f41ccad] Imported Upstream version 2.5.1~beta2~svn10875~dfsg

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 07 Jan 2012 08:04:21 +0100

gmsh (2.5.1~beta2~svn10664~dfsg-3) unstable; urgency=low

  * [980797d] Remove slepc, because it is not in testing.
  * [6a1fd65] Prevent petsc on platforms, where lam is used.
              Causes FTBFS.

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 22 Dec 2011 18:55:41 +0100
