=== debian/control ===
Source: gmsh
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Prud'homme <prudhomm@debian.org>, 
 Anton Gladky <gladky.anton@gmail.com>,
 Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>
Build-Depends: debhelper (>= 8), cmake, gfortran, libgl1-mesa-dev,
 libglu1-mesa-dev, libfltk1.3-dev (>=1.1.7),
 libpng12-dev, libjpeg-dev, zlib1g-dev, texlive, texinfo,
 mpi-default-dev,
 libopencascade-modeling-dev,
 libcgns-dev (>= 3.1.3.2),
 libmed-dev (>= 2.3.6), libmedc-dev (>= 2.3.6), 
 libhdf5-mpi-dev (>= 1.8.8) [alpha amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc],
 libblas-dev, liblapack-dev, libgl2ps-dev, freeglut3-dev,
 python-dev (>= 2.6.6-3~), swig2.0,
 chrpath, libann-dev,
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
X-Python-Version: current
Vcs-Git: git://git.debian.org/git/debian-science/packages/gmsh.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/gmsh.git
Homepage: http://www.geuz.org/gmsh/

Package: gmsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mpi-default-bin,
 python (>= 2.7), python (<<2.8)
Description: Three-dimensional finite element mesh generator
 Gmsh is an automatic 3D finite element mesh generator (primarily
 Delaunay) with build-in CAD and post-processing facilities. Its
 design goal is to provide a simple meshing tool for academic test
 cases with parametric input and up to date visualization
 capabilities.
 .
 Gmsh is built around four modules: geometry, mesh, solver and
 post-processing. The specification of any input to these modules is
 done either interactively using the graphical user interface or in
 ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
