=== debian/changelog ===
gmsh (2.5.1~beta2~svn11301~dfsg-2) unstable; urgency=low

  * [3039722] Refresh patches.
  * [4ae519f] Add again PETSC to BD.

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 14 Feb 2012 21:19:45 +0100

gmsh (2.5.1~beta2~svn11301~dfsg-1) unstable; urgency=low

  * [4800d1e] Imported Upstream version 2.5.1~beta2~svn11301~dfsg
  * [a09b4fe] Add libgmm++-dev on platforms, where it is available.
  * [d673978] Fix typo in mmg3d-patch.
  * [fe2db58] Switch from opencascade to oce.
  * [1fd7f23] Minor fix in py-modules (upstream has changed the build-place).

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 10 Feb 2012 20:26:12 +0100
