=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 %:
 	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR) --with python2 --parallel
 
-extra_flags += -DCMAKE_CXX_FLAGS="-DMPICH_SKIP_MPICXX -DOMPI_SKIP_MPICXX -fopenmp -lgl2ps -lGL -lglut" \
+extra_flags += -DCMAKE_CXX_FLAGS="-DMPICH_SKIP_MPICXX -DOMPI_SKIP_MPICXX -fopenmp -lmpi" \
 -DCMAKE_INCLUDE_PATH:="/usr/include/mpi"\
 -DENABLE_METIS:=OFF\
 -DENABLE_TAUCS:=OFF\
@@ -40,4 +40,4 @@
 	dh_auto_build -- shared
 	# To avoid the texi2dvi pb add LC_ALL=C
 	dh_auto_build -- pdf html info LC_ALL=C
-	chrpath -d $(BUILDDIR)/gmshpy/*.so
+	chrpath -d $(BUILDDIR)/wrappers/gmshpy/*.so
