=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
http://www.geuz.org/gmsh/src/gmsh-([\d.]+)-source\.tgz
