## gmsh 2.5.1~beta2~svn11604~dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,49 +16,55 @@
 
 project(gmsh CXX C)
 
-option(ENABLE_ACIS "Enable ACIS geometrical models" ON)
-option(ENABLE_ANN "Enable ANN to compute Approximate Nearest Neighbors" ON)
-option(ENABLE_APP_BUNDLE "Create .app bundle on Mac when installing" ON)
-option(ENABLE_BAMG "Enable Bamg mesh generator" ON)
-option(ENABLE_BFGS "Enable BFGS" ON)
+# this variable controls the default value of the "ENABLE_XXX" options which are
+# normally set to ON (useful if you want to configure a minimal version of Gmsh:
+# e.g. "cmake -DDEFAULT=0 -DENABLE_POST=1 -DENABLE_PARSER=1")
+set(DEFAULT ON CACHE INTERNAL "Default value for options")
+
+option(ENABLE_ACIS "Enable ACIS geometrical models" ${DEFAULT})
+option(ENABLE_ANN "Enable ANN to compute Approximate Nearest Neighbors" ${DEFAULT})
+option(ENABLE_APP_BUNDLE "Create .app bundle on Mac when installing" ${DEFAULT})
+option(ENABLE_BAMG "Enable Bamg mesh generator" ${DEFAULT})
+option(ENABLE_BFGS "Enable BFGS" ${DEFAULT})
 option(ENABLE_BLAS_LAPACK "Use BLAS and Lapack for linear algebra" ON)
-option(ENABLE_BLOSSOM "Enable Blossom algo (based on MATCH and concorde97)" ON)
+option(ENABLE_BLOSSOM "Enable Blossom algo (based on MATCH and concorde97)" ${DEFAULT})
 option(ENABLE_CGNS "Enable CGNS mesh export" OFF)
-option(ENABLE_CHACO "Enable Chaco mesh partitioner" ON)
-option(ENABLE_DINTEGRATION "Enable discrete integration and levelsets" ON)
-option(ENABLE_FLTK "Build FLTK GUI" ON)
-option(ENABLE_FL_TREE "Enable FLTK tree browser widget" ON)
+option(ENABLE_CHACO "Enable Chaco mesh partitioner" ${DEFAULT})
+option(ENABLE_DINTEGRATION "Enable discrete integration and levelsets" ${DEFAULT})
+option(ENABLE_FLTK "Build FLTK GUI" ${DEFAULT})
+option(ENABLE_FL_TREE "Enable FLTK tree browser widget" ${DEFAULT})
 option(ENABLE_FOURIER_MODEL "Enable Fourier geometrical models" OFF)
-option(ENABLE_GMM "Enable GMM linear algebra solvers" ON)
+option(ENABLE_GMM "Enable GMM linear algebra solvers" ${DEFAULT})
 option(ENABLE_GRAPHICS "Compile-in OpenGL graphics even if there is no GUI" OFF)
-option(ENABLE_KBIPACK "Enable Kbipack for homology solver" ON)
-option(ENABLE_MATHEX "Enable MathEx expression parser" ON)
-option(ENABLE_MED "Enable MED mesh and post-processing file formats" ON)
-option(ENABLE_MESH "Build the mesh module" ON)
-option(ENABLE_METIS "Enable Metis mesh partitioner" ON)
-option(ENABLE_MMG3D "Enable 3D Mobile Mesh Generation" ON)
-option(ENABLE_MPEG_ENCODE "Enable built-in MPEG encoder" ON)
+option(ENABLE_KBIPACK "Enable Kbipack for homology solver" ${DEFAULT})
+option(ENABLE_MATHEX "Enable MathEx expression parser" ${DEFAULT})
+option(ENABLE_MED "Enable MED mesh and post-processing file formats" ${DEFAULT})
+option(ENABLE_MESH "Build the mesh module" ${DEFAULT})
+option(ENABLE_METIS "Enable Metis mesh partitioner" ${DEFAULT})
+option(ENABLE_MMG3D "Enable 3D Mobile Mesh Generation" ${DEFAULT})
+option(ENABLE_MPEG_ENCODE "Enable built-in MPEG encoder" ${DEFAULT})
 option(ENABLE_MPI "Enable MPI parallelization" OFF)
 option(ENABLE_MSVC_STATIC_RUNTIME "Use static Visual C++ runtime" OFF)
-option(ENABLE_NATIVE_FILE_CHOOSER "Enable native file chooser in GUI" ON)
-option(ENABLE_NETGEN "Enable Netgen mesh generator" ON)
-option(ENABLE_OCC "Enable Open CASCADE geometrical models" ON)
-option(ENABLE_ONELAB "Enable OneLab solver interface" ON)
+option(ENABLE_NATIVE_FILE_CHOOSER "Enable native file chooser in GUI" ${DEFAULT})
+option(ENABLE_NETGEN "Enable Netgen mesh generator" ${DEFAULT})
+option(ENABLE_OCC "Enable Open CASCADE geometrical models" ${DEFAULT})
+option(ENABLE_ONELAB "Enable OneLab solver interface" ${DEFAULT})
 option(ENABLE_OSMESA "Use OSMesa for offscreen rendering" OFF)
-option(ENABLE_PARSER "Build the GEO file parser" ON)
-option(ENABLE_PETSC "Enable PETSc linear algebra solvers" ON)
-option(ENABLE_PLUGINS "Build the post-processing plugins" ON)
-option(ENABLE_POST "Build the post-processing module" ON)
+option(ENABLE_PARSER "Build the GEO file parser" ${DEFAULT})
+option(ENABLE_PETSC "Enable PETSc linear algebra solvers" ${DEFAULT})
+option(ENABLE_PLUGINS "Build the post-processing plugins" ${DEFAULT})
+option(ENABLE_POST "Build the post-processing module" ${DEFAULT})
 option(ENABLE_QT "Build proof-of-concept QT GUI" OFF)
-option(ENABLE_RBF "Enable RBF project" OFF)
-option(ENABLE_SALOME "Enable Salome routines for CAD healing" ON)
-option(ENABLE_SLEPC "Enable SLEPc eigensolvers" ON)
-option(ENABLE_SOLVER "Enable solver components" ON)
-option(ENABLE_TAUCS "Enable Taucs linear algebra solver" ON)
-option(ENABLE_TETGEN "Enable Tetgen mesh generator" ON)
+option(ENABLE_RTREE "Enable RTREE" ${DEFAULT})
+option(ENABLE_SALOME "Enable Salome routines for CAD healing" ${DEFAULT})
+option(ENABLE_SLEPC "Enable SLEPc eigensolvers" ${DEFAULT})
+option(ENABLE_SOLVER "Enable solver components" ${DEFAULT})
+option(ENABLE_TAUCS "Enable Taucs linear algebra solver" ${DEFAULT})
+option(ENABLE_TETGEN "Enable Tetgen mesh generator" ${DEFAULT})
 option(ENABLE_TETGEN_NEW "Enable experimental version of Tetgen" OFF)
+option(ENABLE_VORO3D "Enable Voro3D" ${DEFAULT})
 option(ENABLE_WRAP_JAVA "Build Java wrappers" OFF)
-option(ENABLE_WRAP_PYTHON "Build Python wrappers" ON)
+option(ENABLE_WRAP_PYTHON "Build Python wrappers" ${DEFAULT})
 
 set(GMSH_MAJOR_VERSION 2)
 set(GMSH_MINOR_VERSION 5)
@@ -89,7 +95,7 @@
     Geo/SOrientedBoundingBox.h Geo/CellComplex.h Geo/ChainComplex.h Geo/Cell.h
     Geo/Homology.h Geo/partitionEdge.h Geo/CGNSOptions.h Geo/gmshLevelset.h
   Mesh/meshGEdge.h Mesh/meshGFace.h Mesh/meshGFaceOptimize.h Mesh/meshPartition.h
-    Mesh/meshGFaceDelaunayInsertion.h Mesh/Levy3D.h Mesh/meshPartitionOptions.h
+    Mesh/meshGFaceDelaunayInsertion.h Mesh/simple3D.h Mesh/meshPartitionOptions.h Mesh/Voronoi3D.h Mesh/Levy3D.h Mesh/periodical.h
   Numeric/mathEvaluator.h
   Solver/dofManager.h Solver/femTerm.h Solver/laplaceTerm.h Solver/elasticityTerm.h
     Solver/crossConfTerm.h Solver/orthogonalTerm.h
@@ -257,19 +263,3 @@
     set_config_option(HAVE_LAPACK "Lapack(VecLib)")
   endif(MSVC)
   if(NOT HAVE_BLAS OR NOT HAVE_LAPACK)
-    # if we haven't found blas and lapack without using the standard
-    # cmake tests, do it (this requires a working Fortran compiler)
-    enable_language(Fortran)
-    find_package(BLAS)
-    if(BLAS_FOUND)
-      set_config_option(HAVE_BLAS "Blas")
-      find_package(LAPACK)
-      if(LAPACK_FOUND)
-        set_config_option(HAVE_LAPACK "Lapack")
-      else(LAPACK_FOUND)
-        set(LAPACK_LIBRARIES ${BLAS_LIBRARIES})
-      endif(LAPACK_FOUND)
-      if(CMAKE_Fortran_COMPILER_ID MATCHES "GNU")
-        if(CMAKE_Fortran_COMPILER MATCHES "gfortran")
-          list(APPEND LAPACK_LIBRARIES gfortran)
-        elseif(CMAKE_Fortran_COMPILER MATCHES "f95")
