=== Mesh/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 CenterlineField.cpp
   Generator.cpp
   Field.cpp
-    meshGEdge.cpp 
+   meshGEdge.cpp 
       meshGEdgeExtruded.cpp
     meshGFace.cpp 
       meshGFaceTransfinite.cpp meshGFaceExtruded.cpp 
@@ -31,7 +31,10 @@
     multiscalePartition.cpp
     QuadTriUtils.cpp
       QuadTriExtruded2D.cpp QuadTriExtruded3D.cpp QuadTriTransfinite3D.cpp
+    simple3D.cpp
+    Voronoi3D.cpp
     Levy3D.cpp
+    periodical.cpp
 )
 
 file(GLOB HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
