=== debian/control ===
--- 
+++ 
@@ -10,15 +10,16 @@
  libpng12-dev, libjpeg-dev, zlib1g-dev, texlive, texinfo,
  mpi-default-dev,
  libgmm++-dev [!hurd-i386 !s390x],
- liboce-modeling-dev,
+ liboce-modeling-dev, liboce-visualization-dev, liboce-ocaf-dev, oce-draw,
  libcgns-dev (>= 3.1.3.2),
  libmed-dev (>= 2.3.6), libmedc-dev (>= 2.3.6), 
  libhdf5-mpi-dev (>= 1.8.8) [alpha amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc],
  libblas-dev, liblapack-dev, libgl2ps-dev, freeglut3-dev,
  python-dev (>= 2.6.6-3~), swig2.0,
  chrpath, libann-dev,
- libpetsc3.2-dev [!kfreebsd-amd64 !kfreebsd-i386 !armel]
-Standards-Version: 3.9.2
+ libpetsc3.2-dev [!kfreebsd-amd64 !kfreebsd-i386 !armel],
+ libslepc3.2-dev [!kfreebsd-amd64 !kfreebsd-i386 !armel]
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 X-Python-Version: current
 Vcs-Git: git://git.debian.org/git/debian-science/packages/gmsh.git
